You can use this REST API call to query the list of data-in-use or data-in-motion incident IDs for the specified external IDs.
GET request URL
https://<epo_server_name:port>/rest/dlp/incidents/list/useOrMotion/externalIds
Where, epo_server_name:port is the server IP address and port number.
Request Parameters
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required | |
externalIds | List of external IDs for which the corresponding incidents are retrieved. | Required | List of strings |
Sample GET request URL
https://172.27.108.53:8443/rest/dlp/incidents/list/useOrMotion/externalIds
{
"externalIds":["11","27"]
}
Sample cURL command
curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/list/useOrMotion/externalIds' -u '<user>:<password>'
--data-raw ' {
"externalIds":["11","27"]
} '
Response parameters
The response to this API call returns a list of data-in-use/motion incidents for the specified external IDs.
Element | Description | Data type | |
|---|---|---|---|
Incident Id list | List of data-in-use or data-in-motion incident IDs corresponding to external IDs specified in the request. Shows the reason for failure, if there is a failure. | List of strings | |
Sample request
{
"externalIds":["11","27"]
}Sample response
[ "1", "2" ]
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | Successfully returns a list of incident IDs for the specified external IDs. |
400 Bad Request | Empty external IDs. |
404 Not Found | Incorrect ePO - On-prem URL. |
500 Internal Server Error | An error on the server side that failed the request. See the ePO - On-prem |